Issue #13966 has been updated by duerst (Martin Drst).


kernigh (George Koehler) wrote:
> The file ext/rbconfig/sizeof/depend should contain the string `configure.ac`, not `configure.in`. This was changed by git commit 3133a5c (svn r60062). I wonder if your copy of that file is too old?

Thanks for this hint. I checked ext/rbconfig/sizeof/depend, but it had `configure.ac`. I'm already on r60132 now, and that file seems up to date. However, this led me to check the other files in that directory. I found that ext/rbconfig/sizeof/Makefile still contains two instances of `configure.in`. I must have overlooked these instances in my initial search. In context, the code was as follows:

```
sizes.c: $(top_srcdir)/tool/generic_erb.rb \
		   $(top_srcdir)/template/sizes.c.tmpl \
		   $(top_srcdir)/configure.in \
		   $(top_srcdir)/ext/rbconfig/sizeof/extconf.rb
	$(Q) $(RUBY) $(top_srcdir)/tool/generic_erb.rb --output=$@ \
		$(top_srcdir)/template/sizes.c.tmpl \
		$(top_srcdir)/configure.in \
		$(top_srcdir)/ext/rbconfig/sizeof/extconf.rb
```

I changed these two instances manually. That seems to have solved my problem. I'm leaving this issue open so that Nobu can check whether there's some missing piece that let that Makefile stay unupdated.

----------------------------------------
Bug #13966: configure.in still needed ?!
https://bugs.ruby-lang.org/issues/13966#change-67111

* Author: duerst (Martin Drst)
* Status: Open
* Priority: Normal
* Assignee: nobu (Nobuyoshi Nakada)
* Target version: 
* ruby -v: ruby 2.5.0dev (2017-09-28 trunk 60054) [x86_64-cygwin]
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
When compiling trunk on cygwin, I get the following error:

```
make[2]: Entering directory '/cygdrive/c/Data/ruby/ext/rbconfig/sizeof'
make[2]: *** No rule to make target '../../.././configure.in', needed by 'sizes.c'.  Stop.
make[2]: Leaving directory '/cygdrive/c/Data/ruby/ext/rbconfig/sizeof'
make[1]: *** [exts.mk:256: ext/rbconfig/sizeof/all] Error 2
make[1]: Leaving directory '/cygdrive/c/Data/ruby'
make: *** [uncommon.mk:236: build-ext] Error 2
```

(Only showing the last few lines, up to that point, everything seems to run smoothly.)

It looks like something somewhere still wants configure.in, although we now use configure.ac.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>